<?php
session_start();
$content=file("../../sg_cm/conf/conf/conf.php");
if (session_id()!=$content[2])
 {
  $url=urlencode("Пройдите_авторизацию!");
  echo "<meta http-equiv=refresh content='0; url=../../sg_cm/admin/index.php?acc=$url'>";
  exit();
 }
 $m=100;
  function foto($foto)
 {
                global $m;
                $size_img=array();
                //Размер
                $size_img=getimagesize("$foto");

                $w_f=$size_img[0];
                $h_f=$size_img[1];
                if($size_img[0]>$m)
                   {
                     $balans=$size_img[0]/$m;
                     if(round($balans)>=1)
                        {
                          $size_img[0]=$size_img[0]/$balans;
                          $size_img[1]=$size_img[1]/$balans;
                        }

                   }
                if($size_img[1]>$m)
                   {
                     $balans=$size_img[1]/$m;
                     if(round($balans)>=1)
                        {
                         $size_img[0]=$size_img[0]/$balans;
                         $size_img[1]=$size_img[1]/$balans;
                        }
                   }

                echo "<img src=$foto width=$size_img[0] height=$size_img[1] border=0 align=middle>&nbsp;
                <a onclick=\"return confirm('Вы хотите удалить это фото?')\" href=foto_del.php?id=$_GET[id]><img src=img/del.png alt='удалить' border=0></a>";
 }
 if(!isset($_GET['id']))
   {
   	 echo "<meta http-equiv=refresh content='0; url=admin3.php?sel3=selected'>";
     exit();
   }

 if(!file_exists("cons/cons/$_GET[id]"))
   {
   	 echo "<meta http-equiv=refresh content='0; url=admin3.php?sel3=selected'>";
     exit();
   }
$info="";
$cons=array();
$cons=file("conf/cons.txt");
 foreach($cons as $line)
  {
    $expl=explode("*",$line);
    if($expl[0]==$_GET['id'])
       {
         list($p_id,$p_name,$p_email,$p_pasv)=$expl;
         break;
       }
  }
$about=array();
$about=file("cons/cons/$_GET[id]");
if(!isset($about[1]))$about[1]="";
$about[1]=str_replace("<br>","\r\n",$about[1]);

if(isset($_POST['add']))
  {
    $_POST['name']=trim($_POST['name']);
    $_POST['email']=trim($_POST['email']);
    $_POST['pasv']=trim($_POST['pasv']);
    $_POST['about']=trim($_POST['about']);
    $_POST['about']=str_replace("\r\n","<br>",$_POST['about']);
    $_POST['about']=stripslashes($_POST['about']);
    if($_POST['name']=="" || $_POST['email']=="" || $_POST['pasv']=="") $info="Для ввода обязательны имя, адрес и пароль. ";
    if(strlen( $_POST['pasv']) <6) $info.="Пароль должен быть не менее 6 символов.";

    if($info=="")
      {
         $cons=array();
         $cons=file("conf/cons.txt");

         $f=fopen("conf/cons.txt","w");
         foreach($cons as $line)
          {
            $line=trim($line);
            $expl=explode("*",$line);
            if($expl[0]==$_GET['id'])fwrite($f,$_GET['id']."*".$_POST['name']."*".$_POST['email']."*".$_POST['pasv']."\r\n");
            else fwrite($f,$line."\r\n");
          }
         fclose($f);

         $f=fopen("cons/ac/$_GET[id]","w");
         fwrite($f,md5($_POST['pasv']));
         fclose($f);

         $f=fopen("cons/cons/$_GET[id]","w+");
         fwrite($f,$_POST['name']."*".$_POST['email']."\r\n".$_POST['about']);
         fclose($f);

         $p_name=$_POST['name'];
         $p_email=$_POST['email'];
         $p_pasv=$_POST['pasv'];
         $about[1]=str_replace("<br>","\r\n",$_POST['about']);

      }

       if(@$_FILES['load']['name']!="")
          {
            //Изображение ли это
            if(substr($_FILES['load']['type'],0,5)!="image" )  $info="Файл не является изображением.";

            if($info=="")
              {
               $arr_type=array('gif','png','jpg','bmp');
        	   $typ=false;
        	   for($i=0; $i<4; $i++)
        	    {
                    if(ereg("^(.*)\\.$arr_type[$i]",$_FILES['load']['name']))
                      {
                        $typ=true;
                        break;
                      }
        	    }
        	   if(!$typ)$info="Для загрузки разрешены типы: gif, png, jpg, bmp.";
              }
             if($info=="")
               {
               	 if($_FILES['load']['size']> (200*1024)) $info="Размер файла логотипа превышает допустимый-200кб.";
               }
              if($info=="")
               {
                //Расширение файла
                 $type_file=explode(".",$_FILES['load']['name']);
                 $name_foto=$_GET['id'].".".$type_file[count($type_file)-1];
                 if(copy($_FILES['load']['tmp_name'],"cons/foto/".$name_foto));
                 else $info="Загрузка файла неудачна. Попробуйте ещё раз.";

                 echo "<meta http-equiv=refresh content='0; url=red_cons.php?id=$_GET[id]'>";

               }

          }
  }

 if(isset($_POST['exit']))
   {
   	 echo "<meta http-equiv=refresh content='0; url=admin3.php?sel3=selected'>";
     exit();
   }



//Фото, если есть
$foto=array();
 $d=opendir("cons/foto");
   while(($e=readdir($d))!=false)
     {
       if($e =="." || $e ==".." || $e==".htaccess" ) continue;
       $foto[]=$e;
     }
  closedir($d);





?>
<!DOCTYPE html>
<html>
	<head>
	<meta charset="utf-8" />
  <title>Редактировать данные</title>

<style>
  h2
         {
          font-family: Arial, sans-serif;
          font-size:14pt;
          color:#808080;

         }
  table {
         font-family: Arial, sans-serif;
         font-size:10pt;
          color:#5C5C5C;
 	     font-size:11pt;
      }
    #button {

       font-family:"Times New Roman", "serif";
       color:#408080;
       font-size:9pt;
       background-color:#C0C0C0;
      font-weight:600;
      text-align:center;
      width:120px;
      }

</style>
</head>

<body>
<table width=80% align=center  border=0><tr><td>
<h2>Редактировать данные</h2>

<form  action="red_cons.php?id=<?echo $_GET['id']?>" method="post" enctype=multipart/form-data><?if($info!="") echo "<font color=red>$info</font><br />"?>
Имя<br />
<input name="name" type="text" value="<?echo $p_name?>" size=50><br /><br />
e-mail<br />
<input name="email" type="text" value="<?echo $p_email?>" size=50><br /><br />
Пароль (минимум 6 символов)<br />
<input name="pasv" type="text" value="<?echo $p_pasv?>" size=10><br /><br />
О себе<br />
<textarea name="about" rows=20 cols=60 ><?echo $about[1]?></textarea>
<br /><br />
<input id=button type="submit" value="Изменить" name=add>&nbsp;&nbsp;<input type="submit" value="Выход" name=exit id=button>



</td>
<td valign=top>

<?
$s=false;
foreach($foto as $line)
 {
 	 $expl=explode(".",$line);
 	 if($expl[0]==$_GET['id'])
 	    {
          $s=true;
          foto("cons/foto/$line");
 	      break;
 	    }
 }
if(!$s)echo "загрузить фото&nbsp;<input name=load type=file>";

?>

</form>
</td>

</tr></table>






</body>

</html>